import { jsx as n, jsxs as x, Fragment as $ } from "react/jsx-runtime";
import i from "clsx";
import * as h from "react";
import M, { useId as V, useRef as D, useEffect as W } from "react";
import { useFloating as G, useClick as X, useDismiss as Y, useRole as q, useInteractions as H, useMergeRefs as J, FloatingPortal as K, FloatingOverlay as Q, FloatingFocusManager as Z } from "@floating-ui/react";
/*!
  @versini/ui-panel v1.2.15
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_PANEL__ || (window.__VERSINI_UI_PANEL__ = {
    version: "1.2.15",
    buildTime: "01/02/2025 05:13 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const C = "av-messagebox", P = "av-panel", O = "av-button", _ = "icon", z = "button", T = "link", ee = ({
  type: e,
  size: t,
  labelRight: r,
  labelLeft: a,
  align: o
}) => {
  const l = "max-h-8 py-0 px-2", c = "max-h-9 py-1 px-3", d = "max-h-12 py-2 px-4";
  switch (e) {
    case z:
    case T:
      return i({
        [l]: t === "small",
        [c]: t === "medium",
        [d]: t === "large"
      });
    case _:
      return i("inline-flex items-center", {
        "justify-center": o === "center",
        "justify-start": o === "left",
        "justify-end": o === "right",
        "h-6 w-6 p-0": t === "small" && !(r || a),
        "h-6 px-2": t === "small" && (r || a),
        "h-8 w-8 p-1": t === "medium" && !(r || a),
        "h-8 px-3": t === "medium" && (r || a),
        "h-12 w-12 p-2": t === "large" && !(r || a),
        "h-12 px-4": t === "large" && (r || a)
      });
  }
}, re = ({
  type: e,
  size: t,
  labelRight: r,
  labelLeft: a
}) => {
  const o = "text-sm font-medium", l = "text-base font-medium", c = "text-lg font-medium";
  switch (e) {
    case z:
    case T:
      return i({
        "text-center": e === T,
        [o]: t === "small",
        [l]: t === "medium",
        [c]: t === "large"
      });
    case _:
      return i({
        [o]: t === "small" && (r || a),
        [l]: t === "medium" && (r || a),
        [c]: t === "large" && (r || a)
      });
  }
}, te = ({
  mode: e,
  noBackground: t,
  noTruncate: r,
  variant: a
}) => {
  if (t)
    return "not-prose";
  if (a === "primary")
    return i("not-prose", {
      truncate: !r,
      "text-copy-light": e === "dark",
      "text-copy-lighter": e === "light",
      "text-copy-light dark:text-copy-lighter": e === "system",
      "text-copy-lighter dark:text-copy-light": e === "alt-system"
    });
  if (a === "secondary")
    return i("not-prose", {
      truncate: !r,
      "text-copy-light": e === "light",
      "text-copy-lighter": e === "dark",
      "text-copy-light dark:text-copy-lighter": e === "alt-system",
      "text-copy-lighter dark:text-copy-light": e === "system"
    });
  if (a === "danger")
    return i("not-prose", {
      truncate: !r,
      "text-copy-light": e === "dark",
      "text-copy-lighter": e === "light",
      "text-copy-light dark:text-copy-lighter": e === "system",
      "text-copy-lighter dark:text-copy-light": e === "alt-system"
    });
  if (a === "selected")
    return i("not-prose", {
      truncate: !r,
      "text-copy-light": e === "dark",
      "text-copy-lighter": e === "light",
      "text-copy-light dark:text-copy-lighter": e === "system",
      "text-copy-lighter dark:text-copy-light": e === "alt-system"
    });
}, ae = ({
  mode: e,
  noBackground: t,
  variant: r
}) => {
  if (!t) {
    if (r === "primary")
      return i({
        "bg-action-dark": e === "dark",
        "bg-action-light": e === "light",
        "bg-action-dark dark:bg-action-light": e === "system",
        "bg-action-light dark:bg-action-dark": e === "alt-system"
      });
    if (r === "secondary")
      return i({
        "bg-action-dark": e === "light",
        "bg-action-light": e === "dark",
        "bg-action-dark dark:bg-action-light": e === "alt-system",
        "bg-action-light dark:bg-action-dark": e === "system"
      });
    if (r === "danger")
      return i({
        "bg-action-danger-dark": e === "dark",
        "bg-action-danger-light": e === "light",
        "bg-action-danger-dark dark:bg-action-danger-light": e === "system",
        "bg-action-danger-light dark:bg-action-danger-dark": e === "alt-system"
      });
    if (r === "selected")
      return "bg-action-selected-dark";
  }
}, oe = ({
  radius: e
}) => i({
  "rounded-full": e === "large",
  "rounded-md": e === "medium",
  "rounded-sm": e === "small"
}), ie = ({
  mode: e,
  disabled: t,
  variant: r
}) => {
  if (t)
    return "";
  if (r === "primary")
    return i("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "dark",
      "hover:bg-action-light-hover": e === "light",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "alt-system"
    });
  if (r === "secondary")
    return i("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "light",
      "hover:bg-action-light-hover": e === "dark",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "alt-system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "system"
    });
  if (r === "danger")
    return i("hover:text-copy-light-hover", {
      "hover:bg-action-danger-dark-hover": e === "dark",
      "hover:bg-action-danger-light-hover": e === "light",
      "hover:bg-action-danger-dark-hover dark:hover:bg-action-danger-light-hover": e === "system",
      "hover:bg-action-danger-light-hover dark:hover:bg-action-danger-dark-hover": e === "alt-system"
    });
  if (r === "selected")
    return "hover:text-copy-light-hover hover:bg-action-selected-dark-hover";
}, ne = ({
  mode: e,
  disabled: t,
  variant: r
}) => {
  if (t)
    return "";
  if (r === "primary")
    return i("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "dark",
      "active:bg-action-light-active": e === "light",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "alt-system"
    });
  if (r === "secondary")
    return i("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "light",
      "active:bg-action-light-active": e === "dark",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "alt-system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "system"
    });
  if (r === "danger")
    return i("active:text-copy-lighter-active", {
      "active:bg-action-danger-dark-active": e === "dark",
      "active:bg-action-danger-light-active": e === "light",
      "active:bg-action-danger-dark-active dark:active:bg-action-danger-light-active": e === "system",
      "active:bg-action-danger-light-active dark:active:bg-action-danger-dark-active": e === "alt-system"
    });
  if (r === "selected")
    return "active:text-copy-lighter-active active:bg-action-selected-dark-active";
}, le = ({
  mode: e,
  noBorder: t,
  variant: r
}) => {
  if (t)
    return "border border-transparent";
  if (r === "primary")
    return i("border", {
      "border-border-dark": e === "dark",
      "border-border-accent": e === "light",
      "border-border-dark dark:border-border-accent": e === "system",
      "border-border-accent dark:border-border-dark": e === "alt-system"
    });
  if (r === "secondary")
    return i("border", {
      "border-border-dark": e === "light",
      "border-border-accent": e === "dark",
      "border-border-dark dark:border-border-accent": e === "alt-system",
      "border-border-accent dark:border-border-dark": e === "system"
    });
  if (r === "danger")
    return i("border", {
      "border-border-danger-dark": e === "dark",
      "border-border-danger-medium": e === "light",
      "border-border-danger-dark dark:border-border-danger-medium": e === "system",
      "border-border-danger-medium dark:border-border-danger-dark": e === "alt-system"
    });
  if (r === "selected")
    return "border border-border-selected-dark";
}, de = ({
  focusMode: e
}) => i("focus:outline", "focus:outline-2", "focus:outline-offset-2", {
  "focus:outline-focus-dark": e === "dark",
  "focus:outline-focus-light": e === "light",
  "focus:outline-focus-light dark:focus:outline-focus-dark": e === "alt-system",
  "focus:outline-focus-dark dark:focus:outline-focus-light": e === "system"
}), U = ({
  type: e,
  className: t,
  raw: r,
  mode: a,
  focusMode: o,
  disabled: l,
  fullWidth: c,
  size: d,
  noBorder: m,
  labelRight: g,
  labelLeft: b,
  noBackground: f,
  variant: s,
  noTruncate: u,
  align: p,
  radius: v
}) => (s || (s = "primary"), r ? i(O, t) : i(
  O,
  te({
    mode: a,
    variant: s,
    noBackground: f,
    noTruncate: u
  }),
  ae({ mode: a, noBackground: f, variant: s }),
  oe({ radius: v }),
  ee({
    type: e,
    size: d,
    labelRight: g,
    labelLeft: b,
    align: p
  }),
  re({ type: e, size: d, labelRight: g, labelLeft: b }),
  le({ mode: a, variant: s, noBorder: m }),
  de({ focusMode: o }),
  ie({ mode: a, variant: s, disabled: l }),
  ne({ mode: a, variant: s, disabled: l }),
  {
    "w-full": c,
    "disabled:cursor-not-allowed disabled:opacity-50": l
  },
  t
)), ce = (e, t, r) => {
  var a;
  !t && (!document.activeElement || document.activeElement !== e.currentTarget) && typeof ((a = e == null ? void 0 : e.currentTarget) == null ? void 0 : a.focus) == "function" && e.currentTarget.focus(), typeof r == "function" && r(e);
}, L = M.forwardRef((e, t) => {
  const { onClick: r, noInternalClick: a = !1, ...o } = e;
  return /* @__PURE__ */ n(
    "button",
    {
      ref: t,
      onClick: (l) => {
        ce(l, a, r);
      },
      ...o
    }
  );
});
L.displayName = "BaseButton";
const A = M.forwardRef(
  ({
    children: e,
    disabled: t = !1,
    mode: r = "system",
    focusMode: a = "system",
    fullWidth: o = !1,
    className: l,
    type: c = "button",
    raw: d = !1,
    noBorder: m = !1,
    "aria-label": g,
    label: b,
    size: f = "medium",
    labelRight: s,
    labelLeft: u,
    noBackground: p = !1,
    align: v = "center",
    radius: y = "large",
    variant: I = "primary",
    ...E
  }, B) => {
    const S = U({
      type: _,
      mode: r,
      focusMode: a,
      fullWidth: o,
      disabled: t,
      raw: d,
      className: l,
      noBorder: m,
      size: f,
      labelRight: s,
      labelLeft: u,
      noBackground: p,
      align: v,
      radius: y,
      variant: I
    }), R = i({
      "text-copy-accent-dark": r === "light" && !d,
      "text-copy-light": r === "dark" && !d,
      "text-copy-accent-dark dark:text-copy-light": r === "alt-system" && !d,
      "text-copy-light dark:text-copy-accent-dark": r === "system" && !d
    });
    return /* @__PURE__ */ x(
      L,
      {
        ref: B,
        className: S,
        disabled: t,
        type: c,
        "aria-label": g || b,
        ...E,
        children: [
          u && /* @__PURE__ */ n("span", { className: "pr-2", children: u }),
          /* @__PURE__ */ n("div", { className: R, children: e }),
          s && /* @__PURE__ */ n("span", { className: "pl-2", children: s })
        ]
      }
    );
  }
);
A.displayName = "ButtonIcon";
/*!
  @versini/ui-button v3.2.2
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_BUTTON__ || (window.__VERSINI_UI_BUTTON__ = {
    version: "3.2.2",
    buildTime: "01/02/2025 05:13 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const se = M.forwardRef(
  ({
    children: e,
    disabled: t = !1,
    mode: r = "system",
    focusMode: a = "system",
    fullWidth: o = !1,
    className: l,
    type: c = "button",
    raw: d = !1,
    noBorder: m = !1,
    "aria-label": g,
    label: b,
    size: f = "medium",
    labelRight: s,
    labelLeft: u,
    noBackground: p = !1,
    align: v = "center",
    active: y = !1,
    radius: I = "large",
    ...E
  }, B) => {
    const S = U({
      type: _,
      mode: r,
      focusMode: a,
      fullWidth: o,
      disabled: t,
      raw: d,
      className: l,
      noBorder: m,
      size: f,
      labelRight: s,
      labelLeft: u,
      noBackground: p,
      align: v,
      radius: I
    }), R = i({
      "text-copy-accent-dark": r === "light" && !d,
      "text-copy-light": r === "dark" && !d,
      "text-copy-accent-dark dark:text-copy-light": r === "alt-system" && !d,
      "text-copy-light dark:text-copy-accent-dark": r === "system" && !d
    }), j = y ? i(
      "relative",
      "focus-within:static",
      "focus-within:after:border-transparent",
      "after:absolute",
      "after:content-['']",
      "after:border-b-2",
      "after:bottom-[-4px]",
      "after:left-0",
      "after:right-0",
      {
        "after:border-table-dark": r === "dark",
        "after:border-table-light": r === "light",
        "after:border-table-dark dark:after:border-table-light": r === "system",
        "after:border-table-light dark:after:border-table-dark": r === "alt-system"
      }
    ) : "";
    return /* @__PURE__ */ n("div", { className: j, children: /* @__PURE__ */ x(
      L,
      {
        ref: B,
        className: S,
        disabled: t,
        type: c,
        "aria-label": g || b,
        ...E,
        children: [
          u && /* @__PURE__ */ n("span", { className: "pr-2", children: u }),
          /* @__PURE__ */ n("div", { className: R, children: e }),
          s && /* @__PURE__ */ n("span", { className: "pl-2", children: s })
        ]
      }
    ) });
  }
);
se.displayName = "ButtonSort";
const ge = ({
  children: e,
  fill: t,
  viewBox: r,
  className: a,
  defaultViewBox: o,
  size: l,
  title: c,
  semantic: d = !1,
  ...m
}) => {
  const g = i(l, a);
  return /* @__PURE__ */ x($, { children: [
    /* @__PURE__ */ n(
      "svg",
      {
        xmlns: "http://www.w3.org/2000/svg",
        className: g,
        viewBox: r || o,
        fill: t || "currentColor",
        role: "img",
        "aria-hidden": !d,
        focusable: !1,
        ...m,
        children: e
      }
    ),
    c && d && /* @__PURE__ */ n("span", { className: "sr-only", children: c })
  ] });
};
/*!
  @versini/ui-svgicon v3.0.3
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_SVGICON__ || (window.__VERSINI_UI_SVGICON__ = {
    version: "3.0.3",
    buildTime: "01/02/2025 05:13 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const he = ({
  className: e,
  viewBox: t,
  title: r,
  monotone: a,
  ...o
}) => /* @__PURE__ */ n(
  ge,
  {
    defaultViewBox: "0 0 384 512",
    size: "size-5",
    viewBox: t,
    className: e,
    title: r || "Close",
    ...o,
    children: /* @__PURE__ */ n("path", { d: "M342.6 150.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 210.7 86.6 105.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L146.7 256 41.4 361.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L192 301.3l105.4 105.3c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L237.3 256l105.3-105.4z" })
  }
);
/*!
  @versini/ui-icons v3.1.1
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_ICONS__ || (window.__VERSINI_UI_ICONS__ = {
    version: "3.1.1",
    buildTime: "01/02/2025 05:13 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const F = h.createContext(null);
function me({
  initialOpen: e = !1,
  open: t,
  onOpenChange: r
} = {}) {
  const [a, o] = h.useState(e), [l, c] = h.useState(), [d, m] = h.useState(), g = t ?? a, b = r ?? o, f = G({
    open: g,
    onOpenChange: b
  }), s = f.context, u = X(s, {
    enabled: t == null
  }), p = Y(s, {
    outsidePress: !1,
    outsidePressEvent: "mousedown"
  }), v = q(s), y = H([u, p, v]);
  return h.useMemo(
    () => ({
      open: g,
      setOpen: b,
      ...y,
      ...f,
      labelId: l,
      descriptionId: d,
      setLabelId: c,
      setDescriptionId: m
    }),
    [g, b, y, f, l, d]
  );
}
const N = () => {
  const e = h.useContext(F);
  if (e == null)
    throw new Error("Modal components must be wrapped in <Modal />");
  return e;
};
function ue({
  children: e,
  ...t
}) {
  const r = me(t);
  return /* @__PURE__ */ n(F.Provider, { value: r, children: e });
}
const be = h.forwardRef(function(e, t) {
  const { context: r, ...a } = N(), o = J([a.refs.setFloating, t]);
  if (!r.open)
    return null;
  const { overlayBackground: l, ...c } = e, d = i("grid place-items-center", {
    [`${l}`]: l,
    "bg-black sm:bg-black/[.8]": !l
  });
  return /* @__PURE__ */ n(K, { children: /* @__PURE__ */ n(Q, { className: d, lockScroll: !0, children: /* @__PURE__ */ n(Z, { context: r, children: /* @__PURE__ */ n(
    "div",
    {
      ref: o,
      "aria-labelledby": a.labelId,
      "aria-describedby": a.descriptionId,
      ...a.getFloatingProps(c),
      children: c.children
    }
  ) }) }) });
}), fe = h.forwardRef(function({ children: e, ...t }, r) {
  const { setLabelId: a } = N(), o = V();
  return h.useLayoutEffect(() => (a(o), () => a(void 0)), [o, a]), /* @__PURE__ */ n("h1", { ...t, ref: r, id: o, children: e });
}), pe = h.forwardRef(function({ children: e, ...t }, r) {
  const { setDescriptionId: a } = N(), o = V();
  return h.useLayoutEffect(() => (a(o), () => a(void 0)), [o, a]), /* @__PURE__ */ n("div", { ...t, ref: r, id: o, children: e });
}), ve = h.forwardRef(function(e, t) {
  const { setOpen: r } = N(), { trigger: a, className: o, ...l } = e, c = h.useCallback(() => r(!1), [r]);
  return /* @__PURE__ */ n("div", { className: o, children: h.cloneElement(a, {
    ref: t,
    onClick: c,
    ...l
  }) });
});
/*!
  @versini/ui-modal v1.1.8
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_MODAL__ || (window.__VERSINI_UI_MODAL__ = {
    version: "1.1.8",
    buildTime: "01/02/2025 05:13 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const k = "panel", w = "messagebox", ye = ({
  className: e,
  kind: t,
  borderMode: r
}) => ({
  main: i("prose prose-lighter flex flex-col bg-surface-medium", {
    [`${P} max-h-full sm:max-h-[95%] min-h-full sm:min-h-[10rem] sm:rounded-lg sm:border-2`]: t === k,
    [`${P} w-full sm:w-[95%] md:max-w-2xl`]: t === k && !e,
    [`${C} rounded-lg border-2`]: t === w,
    [`${C} w-[95%] sm:w-[50%] md:max-w-2xl`]: t === w && !e,
    [`${e}`]: !!e,
    "sm:border-border-dark": r === "dark" && t === k,
    "sm:border-border-accent": r === "light" && t === k,
    "border-border-dark": r === "dark" && t === w,
    "border-border-accent": r === "light" && t === w
  }),
  content: "flex flex-col py-2 sm:py-4 sm:px-4 px-2 overflow-y-auto",
  footer: "flex flex-grow flex-col sm:p-4 p-2",
  header: "sm:p-4 mb-0 p-2",
  close: "sm:p-4 p-2"
}), Ne = ({
  open: e,
  onOpenChange: t,
  title: r,
  children: a,
  footer: o,
  borderMode: l = "light",
  kind: c = k,
  className: d
}) => {
  const m = D(""), g = ye({ className: d, kind: c, borderMode: l });
  return W(() => (e && (m.current = document.title, document.title = `${r} | ${m.current}`), () => {
    e && (document.title = m.current);
  }), [r, e]), /* @__PURE__ */ n($, { children: e && /* @__PURE__ */ n(ue, { open: e, onOpenChange: t, children: /* @__PURE__ */ x(be, { className: g.main, children: [
    /* @__PURE__ */ x("div", { className: "flex flex-row-reverse items-center justify-between", children: [
      /* @__PURE__ */ n(
        ve,
        {
          className: g.close,
          trigger: /* @__PURE__ */ n(
            A,
            {
              mode: "dark",
              focusMode: "light",
              noBorder: !0,
              label: "Close",
              children: /* @__PURE__ */ n(he, {})
            }
          )
        }
      ),
      /* @__PURE__ */ n(fe, { className: g.header, children: r })
    ] }),
    /* @__PURE__ */ n(pe, { className: g.content, children: a }),
    o && /* @__PURE__ */ n("div", { className: g.footer, children: o })
  ] }) }) });
};
export {
  C as MESSAGEBOX_CLASSNAME,
  P as PANEL_CLASSNAME,
  Ne as Panel
};
